<!DOCTYPE html>
<html> 
    <head>
     <meta charset="utf-8" />
     <title>Traitement d'une personne</title>
    </head>   
    <body>
    <!-- Début du programme PHP -->
    <?php
      // == On récupère les données ==
      $nom    = $_POST['nom']   ;
      $prenom = $_POST['prenom'];
      $age    = $_POST['age']   ;
      // == On traite les données ==
      // -- Conversion en majuscules --
      $nom    = strtoupper($nom)   ;
      $prenom = strtoupper($prenom);
      // -- Conversion en entier --
      $age    = intval($age)       ;
      // == On affiche les données ==
      echo 'Nom : '.$nom.'<br/>';
      echo 'Pr&eacute;nom : '.$prenom.'<br/>';
      echo 'Age : '.$age.'<br/>';
    ?>
    <!-- Fin du programme PHP -->
    </body>
</html>
